%define Werror_cflags %nil

%define	name	grisbi
%define	version	1.0.0
%define	release	%mkrel 1


Summary:	Personal finance manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.grisbi.org/
Source0:	http://switch.dl.sourceforge.net/sourceforge/grisbi/%{name}-%{version}.tar.xz
Source1:	grisbi-manuel-%{version}.pdf
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch1:		grisbi-0.5.8-fixbuild.patch
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgnomeui2-devel libgdk_pixbuf2.0-devel libgnomeprint-devel
BuildRequires:	gtk2-devel libofx-devel hevea
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
BuildRequires:	openssl-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}goffice0.8_8-devel
BuildRequires:	intltool
Requires: 	tetex-latex
Requires: 	tetex-dvips
Requires: 	gtk+2.0 >= 2.16.1
Requires: 	%{_lib}gtk+2.0_0 >= 2.16.1	 
Requires: 	%{_lib}ofx4
Obsoletes:  	%name < %version

%description
Grisbi is a very functional personal financial management program with a lot of features:
  - checking, cash and liabilities accounts;
  - several accounts with automatic contra entries;
  - several currencies, including euro;
  - arbitrary currency for every operation;
  - money interchange fees;
  - switch to euro account per account;
  - description of the transactions with third parties, categories,
    sub-categories, financial year, notes, breakdown;
  - transfers between accounts, even for accounts of different
    currencies;
  - bank reconciliation;
  - scheduled transactions;
  - automatic recall of last transaction for every third party;
  - nice and easy user interface;
  - user manual;
  - QIF import/export.

%prep
%setup -q
#%patch1 -p1 -b .fixbuild

%build
%configure2_5x --enable-frenchdoc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# manual
install -m644 %{SOURCE1} -D %{buildroot}%{_docdir}/%{name}/fr/%{name}-manuel-%{version}.pdf


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Grisbi
Comment=Personnal finances manager
Exec=%{name}
Icon=grisbi
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Finances;Office;Finance;
EOF

%find_lang %{name}

%post
%{update_menus}


%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_iconsdir}/hicolor/*
%{_liconsdir}/%{name}.png
%{_datadir}/grisbi/categories/*
%{_datadir}/grisbi/ui/*

%changelog
* Sat Oct 11 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.0-1pclos2014
- 1.0.0
- replace manual archive by manual pdf
- add missing BR openssl-devel, libxml2-devel, intltool and goffice-devel
- fix icon in desktop file

* Mon May 02 2011 Texstar <texstar at gmail.com> 0.8.5-1pclos2011
- 0.8.5

* Sat Mar 12 2011 Ertain <sirius-c at iname.com> 0.8.2-1pclos2011
- 0.8.2

* Fri May 15 2009 johnnyblack <johnnyblack@inbox.com> 0.5.9-2pclos2009
- rebuild

* Tue Jul 22 2008 chronomatic <rookcifer@gmail.com> 0.5.9-1pclos2007
- Build for pclos2007

